Fix bug 535 propagate instantiaon paramget mac_address
Set pip2 at installation scripts
Change-Id: Ifafada5520bf7b892e47c6f7e3145bb7541920e3
Signed-off-by: tierno <alfonso.tiernosepulveda@telefonica.com>
diff --git a/scripts/install-openmano.sh b/scripts/install-openmano.sh
index 54896c8..7d1df99 100755
--- a/scripts/install-openmano.sh
+++ b/scripts/install-openmano.sh
@@ -253,15 +253,15 @@
[ "$_DISTRO" == "CentOS" -o "$_DISTRO" == "Red" ] && easy_install -U bottle
# required for vmware connector TODO move that to separete opt in install script
- pip install pip==9.0.3 || exit 1 # --upgrade pip install pip 10 that does not work
- pip install pyvcloud==19.1.1 || exit 1
- pip install progressbar || exit 1
- pip install prettytable || exit 1
- pip install pyvmomi || exit 1
+ pip2 install pip==9.0.3 || exit 1 # --upgrade pip install pip 10 that does not work
+ pip2 install pyvcloud==19.1.1 || exit 1
+ pip2 install progressbar || exit 1
+ pip2 install prettytable || exit 1
+ pip2 install pyvmomi || exit 1
# required for OpenNebula connector
- pip install untangle || exit 1
- pip install -e git+https://github.com/python-oca/python-oca#egg=oca || exit 1
+ pip2 install untangle || exit 1
+ pip2 install -e git+https://github.com/python-oca/python-oca#egg=oca || exit 1
# required for AWS connector
[ "$_DISTRO" == "Ubuntu" ] && install_packages "python-boto"
@@ -332,7 +332,7 @@
[ "$_DISTRO" == "Ubuntu" ] && install_packages "tox debhelper python-bitarray python-lxml python-six"
# TODO check packages for CentOS and RedHat
[ "$_DISTRO" == "CentOS" -o "$_DISTRO" == "Red" ] && install_packages "tox debhelper python-bitarray python-lxml python-six"
- pip install --upgrade stdeb pyangbind || exit 1
+ pip2 install --upgrade stdeb pyangbind || exit 1
fi
su $SUDO_USER -c "make -C ${BASEFOLDER}/IM all"
dpkg -i ${BASEFOLDER}/IM/deb_dist/python-osm-im*.deb ${BASEFOLDER}/IM/pyangbind/deb_dist/*.deb \
@@ -369,7 +369,7 @@
# TODO check if that is the name in CentOS and RedHat
[ "$_DISTRO" == "CentOS" -o "$_DISTRO" == "Red" ] && install_packages \
"libmysqlclient-dev python-cffi python-packaging python-pkgconfig python-pycparser libssl-dev libffi-dev"
- pip install --upgrade stdeb setuptools-version-command || exit 1
+ pip2 install --upgrade stdeb setuptools-version-command || exit 1
fi
su $SUDO_USER -c "make -C ${BASEFOLDER}/openvim lite"
dpkg -i ${BASEFOLDER}/openvim/.build/python-lib-osm-openvim*.deb
diff --git a/scripts/python-osm-ro.postinst b/scripts/python-osm-ro.postinst
index 20dbc5e..3e4c103 100755
--- a/scripts/python-osm-ro.postinst
+++ b/scripts/python-osm-ro.postinst
@@ -22,14 +22,14 @@
#OSMLIBOVIM_PATH=`python -c 'import lib_osm_openvim; print lib_osm_openvim.__path__[0]'`
#Pip packages required for vmware connector
-pip install pip==9.0.3
-pip install --upgrade pyvcloud==19.1.1
-pip install --upgrade progressbar
-pip install --upgrade prettytable
-pip install --upgrade pyvmomi
-pip install --upgrade pyang pyangbind
-pip install untangle
-pip install -e git+https://github.com/python-oca/python-oca#egg=oca
+pip2 install pip==9.0.3
+pip2 install --upgrade pyvcloud==19.1.1
+pip2 install --upgrade progressbar
+pip2 install --upgrade prettytable
+pip2 install --upgrade pyvmomi
+pip2 install --upgrade pyang pyangbind
+pip2 install untangle
+pip2 install -e git+https://github.com/python-oca/python-oca#egg=oca
systemctl enable osm-ro.service